baseURL: "http://blog.morgan.kr"
title: Morgan's Blog
paginate: 15
theme: "mytheme"

enableRobotsTXT: true
buildDrafts: false
buildFuture: false
buildExpired: false

googleAnalytics: UA-123-45
minify:
  disableXML: true
  minifyOutput: true

params:
  env: production # to enable google analytics, opengraph, twitter-cards and schema.
  title: Morgan's Blog
  description: "Hi! I'm Morgan!"
  keywords: [Blog, Portfolio, PaperMod]
  author: Me
  # author: ["Me", "You"] # multiple authors
  images: [""]
  DateFormat: "January 2, 2000"
  defaultTheme: auto # dark, light
  disableThemeToggle: false

  ShowReadingTime: false
  ShowShareButtons: true
  ShowPostNavLinks: true
  ShowBreadCrumbs: true
  ShowCodeCopyButtons: false
  ShowWordCount: true
  ShowRssButtonInSectionTermList: true
  UseHugoToc: true
  disableSpecial1stPost: false
  disableScrollToTop: false
  comments: true
  hidemeta: false
  hideSummary: false
  showtoc: false
  tocopen: false
  profileMode:
        enabled: True
        title: "Hi, I’m Morgan!" # optional default will be site title
        subtitle: ""
#        imageUrl: "<image link>" # optional
#        imageTitle: "<title of image as alt>" # optional
#        imageWidth: 120 # custom size
#        imageHeight: 120 # custom size
        buttons:
            - name: Profile
              url: "profile/"
            - name: Posts
              url: "posts/"
            - name: Archive
              url: "archive/"
#  homeInfoParams:
#        Title: Hi, I'm Morgan.
#        Content: I am student developer in Korea, studying Embedded system and Cryptography.

  socialIcons: # optional
      - name: git
        url: "https://git.morgan.kr"
      - name: twitter
        url: "https://twitter.com/morgan8e"
      - name: github
        url: "https://github.com/morgan9e"
      - name: email
        url: "mailto:me@morgan.kr"

  assets:
    # disableHLJS: true # to disable highlight.js
    # disableFingerprinting: true
    favicon: "https://blog.morgan.kr/favicon.ico"
    # favicon16x16: "<link / abs url>"
    # favicon32x32: "<link / abs url>"
    apple_touch_icon: "https://blog.morgan.kr/favicon.ico"
    safari_pinned_tab: "https://blog.morgan.kr/favicon.ico"

  label:
    icon: /favicon.ico
    iconHeight: 1

  analytics:
    google:
      SiteVerificationTag: "XYZabc"
    bing:
      SiteVerificationTag: "XYZabc"
    yandex:
      SiteVerificationTag: "XYZabc"

  cover:
    hidden: true # hide everywhere but not in structured data
    hiddenInList: true # hide on list pages and home
    hiddenInSingle: true # hide on single page

  # for search
  # https://fusejs.io/api/options.html
  fuseOpts:
    isCaseSensitive: false
    shouldSort: true
    location: 0
    distance: 1000
    threshold: 0.4
    minMatchCharLength: 0
    keys: ["title", "permalink", "summary", "content"]

menu:
  main:
    - identifier: posts
      name: Posts
      url: /posts/
      weight: 30
    - identifier: categories
      name: Categories
      url: /categories/
      weight: 10
    - identifier: tags
      name: Tags
      url: /tags/
      weight: 20
# Read: https://github.com/adityatelange/hugo-PaperMod/wiki/FAQs#using-hugos-syntax-highlighter-chroma

pygmentsUseClasses: true
markup:
  highlight:
    noClasses: false
    # anchorLineNos: true
    # codeFences: true
    # guessSyntax: true
    # lineNos: true
    # style: monokai
